/* 
 * Demonstrate perror
 *
 *  (c) 2006, Bernhard Rabe
 */

#include <error.h>
#include <errno.h>
#include <stdio.h>


int main(int argc, char *argv[])
{
    if(2==argc) /* ein Parameter */
    {
        FILE *f=fopen(argv[1],"r");
        if(NULL==f)
        {   
            int errval=errno;
            perror("fopen");
            
            fprintf(stderr,"%d\n",errval);
            
            if(ENOENT==errval)
                fprintf(stderr,"%s ist keine Datei\n",argv[1]);
        }
        else
            if(0!=fclose(f))
                perror("fclose");
    }        
    return 0;
}